#
# Default Bacula Storage Daemon Configuration file
#
#  For Bacula release 9.6.7 (10 December 2020) -- debian bookworm/sid
#
# You may need to change the name of your tape drive
#   on the "Archive Device" directive in the Device
#   resource.  If you change the Name and/or the
#   "Media Type" in the Device resource, please ensure
#   that dird.conf has corresponding changes.
#
#
# Copyright (C) 2000-2020 Kern Sibbald
# License: BSD 2-Clause; see file LICENSE-FOSS
#

Storage {                             # definition of myself
  Name = bacula-sd
  SDPort = 9103                  # Director's port
  WorkingDirectory = "/var/lib/bacula"
  Pid Directory = "/run/bacula"
  Plugin Directory = "/usr/lib/bacula"
  Maximum Concurrent Jobs = 20
  SDAddress = 0.0.0.0
}

#
# List Directors who are permitted to contact Storage daemon
#
Director {
  Name = bacula-dir
  Password = "0FbHFYHuylTaTUB9p4ruim8RmBe8u9lmB"
}

#
# Restricted Director, used by tray-monitor to get the
#   status of the storage daemon
#
Director {
  Name = bacula-mon
  Password = "8918u3WssJA-Dw_5suLTOJxKLq4W-vdaB"
  Monitor = yes
}

#
# Note, for a list of additional Device templates please
#  see the directory <bacula-source>/examples/devices
# Or follow the following link:
#  http://www.bacula.org/git/cgit.cgi/bacula/tree/bacula/examples/devices?h=Branch-7.4
#

#
# Define a Virtual autochanger
# Double-Bay USB 3.0 SATA Adapter
#
Autochanger {
  Name = usb-vchanger-1
  Device = usb-vchanger-1-drive0, usb-vchanger-1-drive1
  Changer Command = "vchanger %c %o %S %a %d"
  Changer Device = "/etc/vchanger/vchanger-1.conf"
}

Device {
  Name = usb-vchanger-1-drive0
  Drive Index = 0
  Autochanger = yes;
  Device Type = File
  Media Type = File
  Removable Media = no;
  Random Access = yes;
  Maximum Concurrent Jobs = 1
  Archive Device = "/var/spool/vchanger/vchanger-1/0"
}

Device {
  Name = usb-vchanger-1-drive1
  Drive Index = 1
  Autochanger = yes;
  Device Type = File
  Media Type = File
  Removable Media = no;
  Random Access = yes;
  Maximum Concurrent Jobs = 1
  Archive Device = "/var/spool/vchanger/vchanger-1/1"
}

Messages {
  Name = Standard
  director = bacula-dir = all
}
